Activity log for bug #1644021

Date Who What changed Old value New value Message
2016-11-22 21:58:34 Mozaic bug added bug
2016-11-22 21:59:44 Mozaic bug added subscriber Mozilla Bugs
2016-11-22 22:00:06 Mozaic bug added subscriber Desktop Packages
2016-11-22 23:29:18 Launchpad Janitor firefox (Ubuntu): status New Confirmed
2016-11-23 06:41:29 Mozaic description Since Firefox 50 Emoji could be used inside a web page: https://www.mozilla.org/en-US/firefox/50.0/releasenotes/ Firefox 50 release :" Added a built-in Emoji set for operating systems without native Emoji fonts (Windows 8.0 and lower and Linux) " Step to reproduce: 1) Update Firefox to Firefox 50 2) Launch Firefox 3) Go to http://getemoji.com/ Actual result: a lot Emoji are not here Expected Result: All Emoji sould be shown Workform: Manual install of the Emoji font: 1) Download https://ftp.mozilla.org/pub/firefox/releases/50.0/linux-i686/en-US/firefox-50.0.tar.bz2 2) Extract EmojiOneMozilla.ttf 3) Copy EmojiOneMozilla.ttf in /usr/lib/firefox/fonts/ (badly it's no work in ~/.fonts/ ) 4) Launch Firefox and go to http://getemoji.com/ 6) It's work! Mozilla decide that Firefox MUST read Emoji and install a font for that for Windows et Linux's users. Badly, Ubuntu remove it. For a better interoperability, Ubuntu should add EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices: **** List of CAPTURE Hardware Devices **** card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog] Subdevices: 1/1 Subdevice #0: subdevice #0 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info: Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42' Mixer name : 'Intel IbexPeak HDMI' Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000' Controls : 52 Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig: auto lo iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute: default via 192.168.1.1 dev wlan0 proto static 169.254.0.0/16 dev wlan0 scope link metric 1000 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins: Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla) VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla) DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla) QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla) iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions: totem-mozilla 3.0.1-0ubuntu21.1 rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill: 0: phy0: Wireless LAN Soft blocked: no Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs: bp-bc8d2df2-4862-40a6-987d-4234e2160922 bp-8d5e91df-7bcf-4edb-8642-657f92160922 bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Since Firefox 50 Emoji could be used inside a web page: https://www.mozilla.org/en-US/firefox/50.0/releasenotes/ Firefox 50 release :" Added a built-in Emoji set for operating systems without native Emoji fonts (Windows 8.0 and lower and Linux) " Step to reproduce: 1) Update Firefox to Firefox 50 2) Launch Firefox 3) Go to http://getemoji.com/ Actual result: a lot Emoji are not here Expected Result: All Emoji sould be shown Workform: Manual install of the Emoji font: 1) Download https://ftp.mozilla.org/pub/firefox/releases/50.0/linux-i686/en-US/firefox-50.0.tar.bz2 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf in /usr/lib/firefox/fonts/ (badly it's no work in ~/.fonts/ ) 4) Quit your session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) It's work! Mozilla decide that Firefox MUST read Emoji and install a font for that for Windows et Linux's users. Badly, Ubuntu remove it. For a better interoperability, Ubuntu should add EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2016-11-23 06:42:55 Mozaic attachment added Screenshot of website without the font https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1644021/+attachment/4781896/+files/The_Bug.png
2016-11-23 06:43:38 Mozaic attachment added Screenshot of website with the font https://bugs.launchpad.net/ubuntu/+source/firefox/+bug/1644021/+attachment/4781897/+files/Expected.png
2016-11-23 06:50:47 Mozaic description Since Firefox 50 Emoji could be used inside a web page: https://www.mozilla.org/en-US/firefox/50.0/releasenotes/ Firefox 50 release :" Added a built-in Emoji set for operating systems without native Emoji fonts (Windows 8.0 and lower and Linux) " Step to reproduce: 1) Update Firefox to Firefox 50 2) Launch Firefox 3) Go to http://getemoji.com/ Actual result: a lot Emoji are not here Expected Result: All Emoji sould be shown Workform: Manual install of the Emoji font: 1) Download https://ftp.mozilla.org/pub/firefox/releases/50.0/linux-i686/en-US/firefox-50.0.tar.bz2 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf in /usr/lib/firefox/fonts/ (badly it's no work in ~/.fonts/ ) 4) Quit your session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) It's work! Mozilla decide that Firefox MUST read Emoji and install a font for that for Windows et Linux's users. Badly, Ubuntu remove it. For a better interoperability, Ubuntu should add EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Since Firefox 50 Emoji could be used inside a web page: https://www.mozilla.org/en-US/firefox/50.0/releasenotes/ Firefox 50 release :" Added a built-in Emoji set for operating systems without native Emoji fonts (Windows 8.0 and lower and Linux) " Step to reproduce: 1) Update Firefox to Firefox 50 2) Launch Firefox 3) Go to http://getemoji.com/ Actual result: a lot Emoji are not here Expected Result: All Emoji sould be shown Workform: Manual install of the Emoji font: 1) Download https://ftp.mozilla.org/pub/firefox/releases/50.0/linux-i686/en-US/firefox-50.0.tar.bz2 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf in /usr/lib/firefox/fonts/ (badly it's no work in ~/.fonts/ ) 4) Quit your Ubuntu's session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) It's work! Mozilla decide that Firefox MUST read Emoji and install a font for that for Windows et Linux's users. Badly, Ubuntu remove it. For a better interoperability, Ubuntu should add EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2016-12-14 04:07:43 Miles Krell summary Firefox 50 must support Emoji Firefox doesn't include EmojiOne font
2016-12-14 04:20:17 Miles Krell description Since Firefox 50 Emoji could be used inside a web page: https://www.mozilla.org/en-US/firefox/50.0/releasenotes/ Firefox 50 release :" Added a built-in Emoji set for operating systems without native Emoji fonts (Windows 8.0 and lower and Linux) " Step to reproduce: 1) Update Firefox to Firefox 50 2) Launch Firefox 3) Go to http://getemoji.com/ Actual result: a lot Emoji are not here Expected Result: All Emoji sould be shown Workform: Manual install of the Emoji font: 1) Download https://ftp.mozilla.org/pub/firefox/releases/50.0/linux-i686/en-US/firefox-50.0.tar.bz2 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf in /usr/lib/firefox/fonts/ (badly it's no work in ~/.fonts/ ) 4) Quit your Ubuntu's session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) It's work! Mozilla decide that Firefox MUST read Emoji and install a font for that for Windows et Linux's users. Badly, Ubuntu remove it. For a better interoperability, Ubuntu should add EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. When opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the EmojiOne glyphs. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2016-12-14 04:22:40 Miles Krell bug added subscriber Miles Krell
2016-12-14 04:35:27 Miles Krell description Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. When opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the EmojiOne glyphs. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. Therefore, when opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the glyphs from the EmojiOneMozilla font. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters such as https://eosrei.github.io/emojione-color-font/full-demo.html 7) Now, instead of using glyphs from DejaVu, the majority of emoji on this page are taken from EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2016-12-14 04:36:53 Miles Krell description Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. Therefore, when opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the glyphs from the EmojiOneMozilla font. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters such as https://eosrei.github.io/emojione-color-font/full-demo.html 7) Now, instead of using glyphs from DejaVu, the majority of emoji on this page are taken from EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. Therefore, when opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the glyphs from the EmojiOneMozilla font. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the Firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters such as https://eosrei.github.io/emojione-color-font/full-demo.html 7) Now, instead of using glyphs from DejaVu, the majority of emoji on this page are taken from EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2016-12-14 15:09:54 Miles Krell description Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. Therefore, when opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the glyphs from the EmojiOneMozilla font. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the Firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to http://getemoji.com/ 6) Open a page containing emoji characters such as https://eosrei.github.io/emojione-color-font/full-demo.html 7) Now, instead of using glyphs from DejaVu, the majority of emoji on this page are taken from EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co. Firefox has shipped with an emoji font since version 50.0, but Ubuntu doesn't include it in their Firefox packages. Therefore, when opening a page in Firefox containing emoji characters, the black and white glyphs from DejaVu are displayed instead of the glyphs from the EmojiOneMozilla font. According to http://packages.ubuntu.com/xenial-updates/amd64/firefox/filelist, EmojiOneMozilla.ttf is not included in the Firefox package in Ubuntu's repositories. Manual installing this font and verifying that it works: 1) Download Firefox tarball from Firefox website 2) Extract EmojiOneMozilla.ttf from /firefox/fonts/ 3) Copy EmojiOneMozilla.ttf to /usr/lib/firefox/fonts/ 4) Quit Ubuntu session and launch a new one 5) Launch Firefox and go to a page containing emoji characters, such as http://getemoji.com/ or https://eosrei.github.io/emojione-color-font/full-demo.html 6) Now, instead of using glyphs from DejaVu, the majority of emoji on the page are taken from EmojiOneMozilla.ttf ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: firefox 50.0+build2-0ubuntu0.12.04.2 ProcVersionSignature: Ubuntu 3.13.0-101.148~precise1-generic 3.13.11-ckt39 Uname: Linux 3.13.0-101-generic x86_64 AddonCompatCheckDisabled: False AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.13.0-101-generic. ApportVersion: 2.0.1-0ubuntu17.13 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: MID [HDA Intel MID], device 0: ALC272 Analog [ALC272 Analog]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC0: gris 2087 F.... pulseaudio BuildID: 20161114145344 CRDA: Error: [Errno 2] Aucun fichier ou dossier de ce type Card0.Amixer.info:  Card hw:0 'MID'/'HDA Intel MID at 0xf8800000 irq 42'    Mixer name : 'Intel IbexPeak HDMI'    Components : 'HDA:10ec0272,15580771,00100001 HDA:80862804,80860101,00100000'    Controls : 52    Simple ctrls : 16 Channel: Unavailable Date: Tue Nov 22 22:31:27 2016 Extensions: extensions.sqlite corrupt or missing ForcedLayersAccel: False IfupdownConfig:  auto lo  iface lo inet loopback IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite) InstallationMedia: Ubuntu 12.04.5 LTS "Precise Pangolin" - Release amd64 (20140807.1) IpRoute:  default via 192.168.1.1 dev wlan0 proto static  169.254.0.0/16 dev wlan0 scope link metric 1000  192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.14 metric 2 Locales: extensions.sqlite corrupt or missing MarkForUpload: True MostRecentCrashID: bp-bc8d2df2-4862-40a6-987d-4234e2160922 Plugins:  Windows Media Player Plug-in 10 (compatible; Totem) - /usr/lib/mozilla/plugins/libtotem-gmp-plugin.so (totem-mozilla)  VLC Multimedia Plugin (compatible Totem 3.0.1) - /usr/lib/mozilla/plugins/libtotem-cone-plugin.so (totem-mozilla)  DivX® Web Player - /usr/lib/mozilla/plugins/libtotem-mully-plugin.so (totem-mozilla)  QuickTime Plug-in 7.6.6 - /usr/lib/mozilla/plugins/libtotem-narrowspace-plugin.so (totem-mozilla)  iTunes Application Detector - /usr/lib/mozilla/plugins/librhythmbox-itms-detection-plugin.so (rhythmbox-mozilla) PrefErrors: 'utf8' codec can't decode byte 0xe9 in position 14394: invalid continuation byte Profiles: Profile0 (Default) - LastVersion=50.0/20161114145344 (In use) RelatedPackageVersions:  totem-mozilla 3.0.1-0ubuntu21.1  rhythmbox-mozilla 2.96-0ubuntu4.3 RfKill:  0: phy0: Wireless LAN   Soft blocked: no   Hard blocked: no RunningIncompatibleAddons: False SourcePackage: firefox SubmittedCrashIDs:  bp-bc8d2df2-4862-40a6-987d-4234e2160922  bp-8d5e91df-7bcf-4edb-8642-657f92160922  bp-fc7bab24-1a1a-4a80-9d5f-f86852160922 Themes: extensions.sqlite corrupt or missing UpgradeStatus: No upgrade log present (probably fresh install) dmi.bios.date: 05/05/2010 dmi.bios.vendor: Phoenix Technologies LTD dmi.bios.version: CALPELLACRB.86C.0000.X.0000000000 dmi.board.asset.tag: Tag 12345 dmi.board.name: W760C dmi.board.vendor: CLEVO Co. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: CLEVO dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrCALPELLACRB.86C.0000.X.0000000000:bd05/05/2010:svnCLEVOCo.:pnW76OC:pvrNotApplicable:rvnCLEVOCo.:rnW760C:rvrNotApplicable:cvnCLEVO:ct9:cvrN/A: dmi.product.name: W76OC dmi.product.version: Not Applicable dmi.sys.vendor: CLEVO Co.
2017-03-15 10:20:22 grisfer bug added subscriber grisfer
2017-03-18 08:39:21 Adolfo Jayme firefox (Ubuntu): importance Undecided Medium
2017-06-08 20:16:50 scottku bug added subscriber scottku
2017-11-09 21:37:24 Jeremy Bicha bug added subscriber Jeremy Bicha
2017-11-09 22:06:35 Rico Tzschichholz bug added subscriber Rico Tzschichholz
2017-11-15 19:23:24 Jeremy Bicha firefox (Ubuntu): status Confirmed Fix Committed
2017-11-15 20:21:43 Jeremy Bicha bug task added thunderbird (Ubuntu)
2017-11-15 20:21:53 Jeremy Bicha thunderbird (Ubuntu): status New Triaged
2017-11-15 20:21:57 Jeremy Bicha thunderbird (Ubuntu): importance Undecided Medium
2017-11-15 20:36:31 grisfer removed subscriber grisfer
2017-11-21 18:18:27 Jeremy Bicha branch linked lp:~jbicha/thunderbird/install-emoji-font
2017-11-21 18:19:34 Jeremy Bicha bug watch added https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=881299
2017-11-21 18:19:34 Jeremy Bicha bug task added thunderbird (Debian)
2017-11-21 21:30:51 Bug Watch Updater thunderbird (Debian): status Unknown Fix Released
2018-01-22 22:43:20 Launchpad Janitor branch linked lp:~mozillateam/firefox/firefox.artful
2018-01-22 22:43:30 Launchpad Janitor branch linked lp:firefox/stable
2018-01-22 22:43:48 Launchpad Janitor branch linked lp:~mozillateam/firefox/firefox.trusty
2018-01-23 22:18:55 Launchpad Janitor firefox (Ubuntu): status Fix Committed Fix Released
2018-01-23 22:18:55 Launchpad Janitor firefox (Ubuntu): status Fix Committed Fix Released
2018-01-23 22:18:56 Launchpad Janitor firefox (Ubuntu): status Fix Committed Fix Released
2018-02-12 16:58:28 Bruno Michel bug added subscriber Bruno Michel
2018-04-06 11:24:04 Launchpad Janitor branch linked lp:~mozillateam/firefox/firefox.bionic
2018-05-06 06:46:49 Antonio Valentino bug added subscriber Antonio Valentino
2018-09-25 18:10:45 Jeremy Bicha thunderbird (Ubuntu): status Triaged Fix Committed
2018-10-16 12:54:16 Jeremy Bicha thunderbird (Ubuntu): status Fix Committed Fix Released